﻿
--[[ EN ]]

-- To create a new module, change every occurence of 'Helge' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Homer' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaHomer";										-- !!!
local moduleid = "HO";													-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "KQMediaHomerFakeFrame"); 			-- !!!

function KQMediaHomer_OnEvent(this, event, ...) 	-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaHomer_Init();												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData);
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", KQMediaHomer_OnEvent);						-- !!!
frame:RegisterEvent("ADDON_LOADED");

function KQMediaHomer_Init()												-- !!!
    moduleData = {
	name = "Homer",													-- !!!
    	  moduleid = moduleid,
	  tags = {["HS"] = "HS"}, 
    	  mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
	  mediadata = nil,
	  			
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Template-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "HO:01",
    file = "alpenmilchriegel.ogg",
    len = 3,											
    msg = "Alpenmilchriegel?",
},
{
    id = "HO:02",
    file = "aufdenalk.ogg",
    len = 6,
    msg = "Auf den Alkohol!",
},
{
    id = "HO:03",
    file = "bauchgefuehl.ogg",
    len = 10,
    msg = "Manchmal aufs Bauchgefühl hören.",
},
{
    id = "HO:04",
    file = "bloedsinn.ogg",
    len = 1,
    msg = "Blödsinn!",
},
{
    id = "HO:05",
    file = "buhmann.ogg",
    len = 1,
    msg = "WAAH, der Buhmann!",
},
{
    id = "HO:06",
    file = "enteente.ogg",
    len = 9,
    msg = "Ente Ente",
},
{
    id = "HO:07",
    file = "erstdenken.ogg",
    len = 2,
    msg = "Erst denken, dann sprechen.",
},
{
    id = "HO:08",
    file = "grossergott.ogg",
    len = 1,
    msg = "Großer Gott!",
},
{
    id = "HO:09",
    file = "gruezi.ogg",
    len = 1,
    msg = "Gruezi.",
},
{
    id = "HO:10",
    file = "haahaahaaa.ogg",
    len = 4,
    msg = "HaaHaaHaaa",
},
{
    id = "HO:11",
    file = "hatdiesenburschen.ogg",
    len = 2,
    msg = "Hat diesen Bruschen schonmal jemand verprügelt?",
},
{
    id = "HO:12",
    file = "ichbinvoll.ogg",
    len = 1,
    msg = "Ich bin voll mit Schoki.",
},
{
    id = "HO:13",
    file = "immerhunger.ogg",
    len = 3,
    msg = "Ich hab immer Hunger.",
},
{
    id = "HO:14",
    file = "leidenschaft.ogg",
    len = 4,
    msg = "Leidenschaft.",
},
{
    id = "HO:15",
    file = "musikeins.ogg",
    len = 3,
    msg = "Nachdenken *träller*",
},
{
    id = "HO:16",
    file = "nasebohren.ogg",
    len = 2,
    msg = "Manchmal bohre ich in meiner Nase.",
},
{
    id = "HO:17",
    file = "natuerlichgern.ogg",
    len = 1,
    msg = "Natürlich, das mach ich gern.",
},
{
    id = "HO:18",
    file = "nochnichtsterben.ogg",
    len = 6,
    msg = "Ich bin zu jung zum sterben!",
},
{
    id = "HO:19",
    file = "nukular.ogg",
    len = 4,
    msg = "Nukular.",
},
{
    id = "HO:20",
    file = "schleckstaengel.ogg",
    len = 3,
    msg = "Möchtest du nochmal ...",
},
{
    id = "HO:21",
    file = "sehtmal.ogg",
    len = 3,
    msg = "Seht mal!",
},
{
    id = "HO:22",
    file = "sprichstduetwa.ogg",
    len = 1,
    msg = "Sprichst Du etwa mit mir?",
},
{
    id = "HO:23",
    file = "verdammt.ogg",
    len = 1,
    msg = "Verdammt!",
},
{
    id = "HO:24",
    file = "vergisses.ogg",
    len = 1,
    msg = "Vergiss es!",
},
{
    id = "HO:25",
    file = "waaah.ogg",
    len = 1,
    msg = "WAAAH!",
},
{
    id = "HO:26",
    file = "wahnsinn.ogg",
    len = 1,
    msg = "Wahnsinn!",
},

{
    id = "HO:27",
    file = "werhatein.ogg",
    len = 1,
    msg = "Wer hat ein nasses Handtuch?",
},
{
    id = "HO:28",
    file = "wieauchimmer.ogg",
    len = 1,
    msg = "Wie auch immer.",
},-- end of media data
};
end -- KQMedia..._Init

